Name:          ostree
Version:       2024.10
Release:       1mamba
Summary:       Operating system and container binary deployment and upgrades
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ostreedev.github.io/ostree/
Source:        https://github.com/ostreedev/ostree.git/v%{version}/ostree-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libfuse3-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: liblzma-devel
BuildRequires: libmount-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libsystemd-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Operating system and container binary deployment and upgrades.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_sysconfdir}/grub.d/15_ostree
%{_bindir}/ostree
%{_bindir}/rofiles-fuse
%{_unitdir}/ostree-boot-complete.service
%{_unitdir}/ostree-finalize-staged.path
%{_unitdir}/ostree-finalize-staged.service
%{_unitdir}/ostree-finalize-staged-hold.service
%{_unitdir}/ostree-prepare-root.service
%{_unitdir}/ostree-remount.service
%{_unitdir}/ostree-state-overlay@.service
%{_systemdgeneratordir}/ostree-system-generator
%{_tmpfilesdir}/ostree-tmpfiles.conf
%dir %{_prefix}/lib/ostree
%{_prefix}/lib/ostree/*
%{_datadir}/bash-completion/completions/ostree
%{_datadir}/ostree/trusted.gpg.d/README-gpg
%{_mandir}/man1/ostree*.1*
%{_mandir}/man1/rofiles-fuse.1*
%{_mandir}/man5/ostree.repo-config.5*
%{_mandir}/man5/ostree.repo.5*
%{_mandir}/man8/ostree-state-overlay@.service.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libostree-1.so.*
%{_libdir}/girepository-1.0/OSTree-1.0.typelib
%dir %{_libexecdir}/libostree
%{_libexecdir}/libostree/*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/ostree-1
%{_includedir}/ostree-1/ostree*.h
%{_libdir}/libostree-1.so
%{_libdir}/pkgconfig/ostree-1.pc
%{_datadir}/gir-1.0/OSTree-1.0.gir
%doc README.md TODO

%changelog
* Sun Dec 22 2024 Automatic Build System <autodist@openmamba.org> 2024.10-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 2024.9-1mamba
- automatic version update by autodist

* Fri Sep 20 2024 Automatic Build System <autodist@openmamba.org> 2024.8-1mamba
- automatic version update by autodist

* Sat Jul 20 2024 Automatic Build System <autodist@openmamba.org> 2024.7-1mamba
- automatic version update by autodist

* Sat May 18 2024 Automatic Build System <autodist@openmamba.org> 2024.6-1mamba
- automatic version update by autodist

* Sat Mar 16 2024 Automatic Build System <autodist@openmamba.org> 2024.5-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Automatic Build System <autodist@openmamba.org> 2024.4-1mamba
- automatic version update by autodist

* Wed Feb 14 2024 Automatic Build System <autodist@openmamba.org> 2024.3-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 2024.2-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 2024.1-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 2023.8-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.7-1mamba
- update to 2023.7

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 2023.6-1mamba
- automatic version update by autodist

* Sun Jul 02 2023 Automatic Build System <autodist@mambasoft.it> 2023.5-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 2023.4-1mamba
- automatic version update by autodist

* Sat May 20 2023 Automatic Build System <autodist@mambasoft.it> 2023.3-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 2023.2-1mamba
- automatic version update by autodist

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 2023.1-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 2022.7-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 2022.6-1mamba
- automatic version update by autodist

* Sat Jul 23 2022 Automatic Build System <autodist@mambasoft.it> 2022.5-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 2022.4-1mamba
- automatic version update by autodist

* Sun May 08 2022 Automatic Build System <autodist@mambasoft.it> 2022.3-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 2022.2-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 2022.1-1mamba
- automatic version update by autodist

* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 2021.6-1mamba
- automatic version update by autodist

* Fri Oct 08 2021 Automatic Build System <autodist@mambasoft.it> 2021.5-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 2021.4-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 2021.3-1mamba
- automatic version update by autodist

* Fri Apr 16 2021 Automatic Build System <autodist@mambasoft.it> 2021.2-1mamba
- automatic version update by autodist

* Thu Mar 25 2021 Automatic Build System <autodist@mambasoft.it> 2021.1-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 2020.8-1mamba
- automatic version update by autodist

* Wed Apr 08 2020 Automatic Build System <autodist@mambasoft.it> 2020.3-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 2019.6-1mamba
- automatic version update by autodist

* Thu Nov 28 2019 Automatic Build System <autodist@mambasoft.it> 2019.5-1mamba
- automatic version update by autodist

* Tue Oct 08 2019 Automatic Build System <autodist@mambasoft.it> 2019.4-1mamba
- automatic version update by autodist

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 2019.3-1mamba
- automatic version update by autodist

* Sat Jul 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2019.2-1mamba
- package created using the webbuild interface
